%define upstream_name	 BioPerl-Run
%define upstream_version 1.007003

%global __requires_exclude_from ^%{_docdir}
%global __requires_exclude perl\\(Bio::Root::AccessorMaker\\)|perl\\(Bio::Tools::Run::StandAloneBlastPlus::BlastMethods\\)|perl\\(Bio::Tools::Run::WrapperBase::CommandExts\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    BioPerl wrappers for external programs
License:    Artistic
Group:      Development/Perl
Url:        http://www.bioperl.org
Source0:    http://bioperl.org/DIST/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::Root::Root)
BuildRequires: perl(Bio::Root::Test)
BuildRequires: perl(Bio::Root::Version) >= 1.7.0
BuildRequires: perl-bioperl >= 1.6.0
BuildRequires: perl(Module::Build)
BuildArch:  noarch

Obsoletes:  perl-Bioperl-Run <= 1.6.1
Provides:   perl-Bioperl-Run
Obsoletes:  perl-bioperl-run <= 1.6.1
Provides:   perl-bioperl-run

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor <<EOI
y
n
EOI
./Build

%check
# most of the check useanon-packaged  external tools, so they are useless there
#./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc AUTHORS Changes DEPENDENCIES INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Bio
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Thu Oct 15 2020 tv <tv> 1.7.3-3.mga8
+ Revision: 1636252
- BR perl(Module::Build) thus fixing build

* Fri Feb 14 2020 umeabot <umeabot> 1.7.3-2.mga8
+ Revision: 1522827
- Mageia 8 Mass Rebuild

* Sat Feb 09 2019 tv <tv> 1.7.3-1.mga7
+ Revision: 1364385
- update to 1.007003

* Thu Sep 20 2018 umeabot <umeabot> 1.7.2-3.mga7
+ Revision: 1281845
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.7.2-2.mga7
+ Revision: 1163166
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.7.2-1.mga7
+ Revision: 1157217
- new version 1.007002

* Sat Jun 18 2016 pterjan <pterjan> 1.6.900-8.mga6
+ Revision: 1022734
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 1.6.900-7.mga6
+ Revision: 951145
- Mageia 6 Mass Rebuild

* Tue Dec 09 2014 sander85 <sander85> 1.6.900-6.mga5
+ Revision: 802370
- Fix __requires_exclude

* Wed Oct 15 2014 umeabot <umeabot> 1.6.900-5.mga5
+ Revision: 743477
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.6.900-3.mga4
+ Revision: 509371
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.900-2.mga3
+ Revision: 363368
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- dist renamed upstream
- update to 1.6.900
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 1.6.1-5.mga2
+ Revision: 109902
- rebuild script for perl 5.14.1

* Sat Jun 11 2011 spuhler <spuhler> 1.6.1-4.mga2
+ Revision: 104042
- increase rel for rebuild

* Thu Jan 27 2011 jquelin <jquelin> 1.6.1-3.mga1
+ Revision: 42088
- mageia rebuild
- imported package perl-bioperl-run

